SelectionFunction.Threshold (BioJava-1.5-beta API)
Keywords: org.biojavax.ga.functions.SelectionFunction.Threshold class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.ga.functions
Class SelectionFunction.Threshold

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojavax.ga.functions.AbstractSelectionFunction
              org.biojavax.ga.functions.SelectionFunction.Threshold

All Implemented Interfaces:
  Changeable, SelectionFunction

Enclosing interface:
  SelectionFunction

    public static final class SelectionFunction.Threshold

extends AbstractSelectionFunction

Selects individuals who's fitness exceeds a threshold value.

Version:
  1.0
Author:
  Mark Schreiber

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojavax.ga.functions.SelectionFunction
`SelectionFunction.SelectAll, SelectionFunction.Threshold`

Field Summary

Fields inherited from interface org.biojavax.ga.functions.SelectionFunction
`DEFAULT, FITNESS_FUNCTION`

Constructor Summary
`SelectionFunction.Threshold(double cutoff)`

Method Summary
`double` | `getCutoff()`
`Population` | `select(Population pop, GeneticAlgorithm genAlg)` Selects individuals whose fitness (as determined by the `FitnessFunction`) is more than the cutoff.

Methods inherited from class org.biojavax.ga.functions.AbstractSelectionFunction
`getFitnessFunction, setFitnessFunction`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, getChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectionFunction.Threshold

    public SelectionFunction.Threshold(double cutoff)

Method Detail

### getCutoff

    public double getCutoff()

### select

    public Population select(Population pop,
                             GeneticAlgorithm genAlg)

  Selects individuals whose fitness (as determined by the `FitnessFunction`) is more than the cutoff. Removes those that aren't.

  Parameters:
    `pop` - the `Population` to select from.
    `genAlg` - the parent `GeneticAlgorithm`
  Returns:
    the `Population` of selected individuals.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD